--- m_whois.c.dist	Tue Dec  4 13:28:21 2001
+++ m_whois.c	Tue Dec  4 13:32:32 2001
@@ -285,11 +285,23 @@
                        me.name, parv[0], name);
 #ifdef WHOIS_NOTICE
           if ((MyOper(acptr)) && ((acptr)->umodes & FLAGS_SPY) &&
-              (MyConnect(sptr)) && (IsPerson(sptr)) && (acptr != sptr))
-            sendto_one(acptr,
-                       ":%s NOTICE %s :*** Notice -- %s (%s@%s) is doing a /whois on you.",
-                       me.name, acptr->name, parv[0], sptr->username,
-                       sptr->host);
+              (IsPerson(sptr)) && (acptr != sptr))
+            {
+              if (MyConnect(sptr))
+                {
+                  sendto_one(acptr,
+                             ":%s NOTICE %s :*** Notice -- %s (%s@%s) is doing a /whois on you.",
+                             me.name, acptr->name, parv[0], sptr->username,
+                             sptr->host);
+                }
+              else
+                {
+                  sendto_one(acptr,
+                             ":%s NOTICE %s :*** Notice -- %s (%s@%s) is doing a remote /whois on you.",
+                             me.name, acptr->name, parv[0], sptr->username,
+                             sptr->host);
+                }
+            }
 #endif /* #ifdef WHOIS_NOTICE */
 
 
